org.springframework.jdbc

## Class LobRetrievalFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.DataRetrievalFailureException
              - - org.springframework.jdbc.LobRetrievalFailureException

All Implemented Interfaces:
  Serializable

    public class LobRetrievalFailureException
    extends DataRetrievalFailureException

Exception to be thrown when a LOB could not be retrieved.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LobRetrievalFailureException(String msg)` Constructor for LobRetrievalFailureException.
`LobRetrievalFailureException(String msg, IOException ex)` Constructor for LobRetrievalFailureException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LobRetrievalFailureException

    public LobRetrievalFailureException(String msg)

Constructor for LobRetrievalFailureException.

Parameters:
  `msg` - the detail message

#### LobRetrievalFailureException

    public LobRetrievalFailureException(String msg,
                                IOException ex)

Constructor for LobRetrievalFailureException.

Parameters:
  `msg` - the detail message
  `ex` - IOException root cause